﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;
using KendoDetailsExample.Models;

namespace KendoDetailsExample.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {            
            return View();
           
        }

        public ActionResult Read([DataSourceRequest] DataSourceRequest request)
        {
            return Json(Enumerable.Range(0, 2)
                .Select(i => new MyModel { ID = i, Text = "Text " + i })
                .ToDataSourceResult(request));
        }
        public ActionResult ReadInner([DataSourceRequest] DataSourceRequest request)
        {
            return Json(Enumerable.Range(0, 2)
                .Select(i => new InnerModel { ID = i, InnerText = "InnerText " + i })
                .ToDataSourceResult(request));
        }
        public ActionResult ReadInner2([DataSourceRequest] DataSourceRequest request)
        {
            return Json(Enumerable.Range(0, 2)
                .Select(i => new InnerModel2 { ID = i, InnerText2 = "InnerText2 " + i })
                .ToDataSourceResult(request));
        }
    }
}
